LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

ENTITY sevenseg IS
	PORT(
		input: 	IN 	std_logic_vector(3 downto 0);
		a,b,c,d,e,f,g:	OUT	std_logic);
END sevenseg;

ARCHITECTURE arc OF sevenseg IS
		SIGNAL and0, and1, and2, and3, and4, and5, and6, and7, and8, and9 : std_logic;
	BEGIN
		and0 <= '1' when (input = "0000") else
				'0';
		and1 <= '1'	when (input = "0001") else
				'0';
		and2 <= '1'	when (input = "0010") else
				'0';
		and3 <= '1'	when (input = "0011") else
				'0';
		and4 <= '1' when (input = "0100") else
				'0';
		and5 <= '1' when (input = "0101") else
				'0';
		and6 <= '1'	when (input = "0110") else
				'0';
		and7 <= '1'	when (input = "0111") else
				'0';
		and8 <= '1'	when (input = "1000") else
				'0';
		and9 <= '1' when (input = "1001") else
				'0';
		
		a <= not (and0 or and2 or and3 or and5 or and6 or and7 or and8 or and9);
		b <= not (and0 or and1 or and2 or and3 or and4 or and7 or and8 or and9);
		c <= not (and0 or and1 or and3 or and4 or and5 or and6 or and7 or and8 or and9);
		d <= not (and0 or and2 or and3 or and5 or and6 or and8 or and9);
		e <= not (and0 or and2 or and6 or and8);
		f <= not (and0 or and4 or and5 or and6 or and8 or and9);
		g <= not (and2 or and3 or and4 or and5 or and6 or and8 or and9);
END arc;